Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1364678

Summary: Review Request: nodejs-read-json-sync - Read and parse a JSON file synchronously
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-21 15:43:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1333603, 1443755    
Bug Blocks: 956806, 1387531, 1364693, 1364695    

Description Jared Smith 2016-08-06 09:14:24 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-read-json-sync/nodejs-read-json-sync.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-read-json-sync/nodejs-read-json-sync-1.1.1-1.fc26.src.rpm
Description: Read and parse a JSON file synchronously
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-19 09:37:47 UTC
 - Version v2.0.0-1 was published a few days ago, please bump your package.

 - Please fill the chargelog correctly:

%changelog
* Tue Sep 19 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.0.1-1
- Initial RPM package

 - Sadly, the LICENSE file has been removed and the license has changed to CC0. Please consider asking upstream for re-inclusion.

Comment 3 Robert-André Mauchin 2017-09-19 14:02:49 UTC
Ok for me.

Comment 4 Robert-André Mauchin 2017-09-19 14:35:16 UTC
Wait there's an error, you are missing the %{?dist} in Release:

Release:	1%{?dist}

Comment 5 Robert-André Mauchin 2017-09-19 14:47:46 UTC
It also requires an update of graceful-fs (bug #1333603).

Comment 6 Jared Smith 2017-09-19 17:43:28 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1388'

Comment 7 Gwyn Ciesla 2017-09-19 18:14:24 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-read-json-sync

Comment 8 Jared Smith 2017-09-21 15:43:30 UTC
In rawhide, closing bug